SystemOrganization addCategory: #'EsugDemo-Models'!

Object subclass: #Blog
	instanceVariableNames: 'title blogPosts'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

!Blog methodsFor: 'accessing' stamp: 'tkow 3/13/2009 13:50'!
blogPosts
	^ blogPosts! !

!Blog methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:39'!
blogPosts: anObject
	blogPosts := anObject! !

!Blog methodsFor: 'accessing' stamp: 'tkow 3/13/2009 10:33'!
initialize
	super initialize.
	blogPosts := OrderedCollection new.! !

!Blog methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:39'!
title
	^ title! !

!Blog methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:39'!
title: anObject
	title := anObject! !

Object subclass: #BlogComment
	instanceVariableNames: 'title name text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

!BlogComment methodsFor: 'accessing' stamp: 'tkow 3/13/2009 11:43'!
name
	^ name! !

!BlogComment methodsFor: 'accessing' stamp: 'tkow 3/13/2009 11:43'!
name: anObject
	name := anObject! !

!BlogComment methodsFor: 'accessing' stamp: 'tkow 3/13/2009 11:43'!
text
	^ text! !

!BlogComment methodsFor: 'accessing' stamp: 'tkow 3/13/2009 11:43'!
text: anObject
	text := anObject! !

!BlogComment methodsFor: 'accessing' stamp: 'tkow 3/13/2009 11:43'!
title
	^ title! !

!BlogComment methodsFor: 'accessing' stamp: 'tkow 3/13/2009 11:43'!
title: anObject
	title := anObject! !

Object subclass: #BlogPost
	instanceVariableNames: 'title text comments'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

!BlogPost methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:38'!
comments
	^ comments! !

!BlogPost methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:38'!
comments: anObject
	comments := anObject! !

!BlogPost methodsFor: 'initialization' stamp: 'tkow 3/13/2009 10:33'!
initialize
	super initialize.
	comments := OrderedCollection new.! !

!BlogPost methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:38'!
text
	^ text! !

!BlogPost methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:38'!
text: anObject
	text := anObject! !

!BlogPost methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:38'!
title
	^ title! !

!BlogPost methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:38'!
title: anObject
	title := anObject! !

Object subclass: #User
	instanceVariableNames: 'username password email'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

User subclass: #Admin
	instanceVariableNames: 'administratedBlogs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

!Admin methodsFor: 'accessing' stamp: 'tkow 7/3/2009 16:25'!
administratedBlogs
	^ administratedBlogs! !

!Admin methodsFor: 'accessing' stamp: 'tkow 7/3/2009 16:25'!
administratedBlogs: anObject
	administratedBlogs := anObject! !

User subclass: #Author
	instanceVariableNames: 'blog'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

!Author methodsFor: 'accessing' stamp: 'tkow 3/13/2009 10:31'!
blog
	^ blog! !

!Author methodsFor: 'accessing' stamp: 'tkow 3/13/2009 10:31'!
blog: anObject
	blog := anObject! !

!User methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:37'!
email
	^ email! !

!User methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:37'!
email: anObject
	email := anObject! !

!User methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:37'!
password
	^ password! !

!User methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:37'!
password: anObject
	password := anObject! !

!User methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:37'!
username
	^ username! !

!User methodsFor: 'accessing' stamp: 'tkow 3/12/2009 20:37'!
username: anObject
	username := anObject! !

SqsConfig subclass: #EsugDemoSqsConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EsugDemo-Models'!

!EsugDemoSqsConfig class methodsFor: 'as yet unclassified' stamp: 'tkow 7/3/2009 16:26'!
connectionSpecification
	^ SqsPGConnectionSpecification 
		user: 'test' 
		password: 'test'
		database: 'esug_demo'! !
